#1  
Old 14th June 2010, 11:56
Morons Morons is offline
Senior Member
 
Join Date: Aug 2006
Posts: 189
Thanks: 8
Thanked 15 Times in 7 Posts
Default Upgrade ERR or NOT

I re-installed ISPConfig 2.2.36 as per instructions and got
Code:
This version of ISPConfig comes with a SpamAssassin version that requires that the following two Perl modules are installed: NetAddr::IP and Archive::Tar. If you are unsure if these modules are installed, you should open a second shell now and install them, because otherwise the ISPConfig installation/update will fail! These modules can be installed as follows:
Executed this
Code:
root@hera:~/install_ispconfig# aptitude install libnetaddr-ip-perl libarchive-tar-perl
Reading package lists... Done
Building dependency tree
Reading state information... Done
Reading extended state information
Initializing package states... Done
No packages will be installed, upgraded, or removed.
0 packages upgraded, 0 newly installed, 0 to remove and 55 not upgraded.
Need to get 0B of archives. After unpacking 0B will be used.
Writing extended state information... Done
Reading package lists... Done
Building dependency tree
Reading state information... Done
Reading extended state information
Initializing package states... Done
Not sure maybe detection is brioken or Ubuntu 10.04 has issues!
I found upon restarting clamd daemon that its database was corrupted, and this error lead to it
I got this in my logs at first
Code:
 * Starting ClamAV daemon clamd                                                 LibClamAV Error: cli_cvdload: Corrupted CVD header
LibClamAV Error: Can't load /home/admispconfig/ispconfig/tools/clamav/share/clamav/main.cld: Malformed database
After removing the db and replaced it with freshclam I got
Code:
 * Stopping ClamAV daemon clamd                                                                                                                     [ OK ]
 * Starting ClamAV daemon clamd                                                                                                                            LibClamAV Error: cli_loaddb(): No supported database files found in /home/admispconfig/ispconfig/tools/clamav/share/clamav
ERROR: Can't open file or directory
Code:
X-Virus-Report: /home/admispconfig/ispconfig/tools/clamav/bin/clamdscan error 2
X-Virus-Checker-Version: clamassassin 1.2.4 with clamdscan / ERROR: Can't connect to clamd: Permission denied
Code:
CLAMAVCONF=/home/admispconfig/ispconfig/tools/clamav/etc/clamd.conf
CLAMUSER="$(grep "^User" ${CLAMAVCONF} | awk '{print $2}')"
As per /etc/init.d/clamav-daemon witch resolve to admispconfig

Code:
User admispconfig
I dont know It is 2 issues in one post one the cause of my re-install to try and fix the spamassin and the setup error that seem to be an installation script issue.

Last edited by Morons; 14th June 2010 at 12:39.
Reply With Quote
Sponsored Links
  #2  
Old 15th June 2010, 11:55
till till is offline
Super Moderator
 
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 35,488
Thanks: 813
Thanked 5,260 Times in 4,124 Posts
Default

Not sure why you have errors about clamd as ispconfig does not use clamd, it uses clamscan without the daemon. I guess you must have modified your setup somehow to use clamd and your modification is not compatible with the current ISPConfig release.
__________________
Till Brehm
--
Get ISPConfig support and the ISPConfig 3 manual from ispconfig.org.
Reply With Quote
  #3  
Old 15th June 2010, 12:50
Morons Morons is offline
Senior Member
 
Join Date: Aug 2006
Posts: 189
Thanks: 8
Thanked 15 Times in 7 Posts
 
Default Err

the Isue is mostly with the first line - ./setup does not detect the correct Perl modules are installed: NetAddr::IP and Archive::Tar.

the rest I always find nessesary to modify the clamscan to clamdscan because I never had a server that could take load running clamscan. with clamdscan uses MUCH less resources and works well, Till today Every time I re-install or upgrade the ISPC 2 on a server I have to modify the clamscan to clamdscan otherwise the CPU run up to 99.9% and no customer is services as the scaning absolutely create a process for each mail and quickly eat up all the resources.
I never understood why you dont run the clamdscan version witch is most effective and better in all scenarios.

See the post I made and cjc81 improved upon

http://www.howtoforge.com/forums/sho...0&postcount=10
Reply With Quote
Reply

Bookmarks

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Debootstrap method fails to get release file http://ftp.us.debian.org/debian/ vtapas HOWTO-Related Questions 12 11th September 2010 03:59
Debian Lenny apt-get update failed to fetch qriz Installation/Configuration 3 31st October 2009 22:19
debian upgrade broken.. apt-get stuck guthrie Installation/Configuration 3 31st March 2009 04:29
Xen on Ubuntu kmand HOWTO-Related Questions 17 5th March 2009 18:43
Perfect Xen 3.0 setup for Debian gurneyzap HOWTO-Related Questions 4 26th March 2006 11:30


All times are GMT +2. The time now is 08:34.


Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2014, vBulletin Solutions, Inc.